<?php

namespace App\Models;

class ApiAccessToken extends BaseModel
{
    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'api_access_token';
    protected $appends = ['expire_time'];

    const CREATED_AT = 'created_at';
    const UPDATED_AT = 'updated_at';

    protected $dateFormat = 'U';
    protected $guarded = [];

    /**
     * The attributes excluded from the model's JSON form.
     *
     * @var array
     */
    protected $hidden = [];

    public function user()
    {
        return $this->hasOne('App\Models\User', 'id', 'user_id');
    }


    public function getExpireTimeAttribute()
    {
        try {
            return date('Y-m-d H:i:s', $this->expire_date);
        } catch (Exception $e) {
            return null;
        }
    }


}
